# Retrieve amount workflow processes

## Get amount workflow processes

<mark style="color:blue;">`GET`</mark> `https://ris.rightsline.com/v4/amount-processes`

This endpoint allows you to retrieve workflow processes for amounts.

#### Headers

| Name                                             | Type   | Description             |
| ------------------------------------------------ | ------ | ----------------------- |
| x-api-key<mark style="color:red;">\*</mark>      | string | Your company's API key. |
| Authentication<mark style="color:red;">\*</mark> | string | Authentication token.   |

{% tabs %}
{% tab title="200 Amount processes retrieved successfully." %}

```javascript
{
    "processes": [
        {
            "processId": 8,
            "processName": "Amount Workflow",
            "sequenceNumber": 10,
            "description": "Amount Workflow"
        },
        {
            "processId": 38,
            "processName": "Locked Amounts",
            "sequenceNumber": 21,
            "description": "Locked Amounts"
        },
        {
            "processId": 64,
            "processName": "Advance Payment Workflow",
            "sequenceNumber": 48,
            "description": "Advance Payment Workflow"
        }
    ]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-docs.rightsline.com/entities/amount/retrieve-amount-processes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
